<?php
	do {
		
		$rete = $row_pagamento_emi['Ir']+$row_pagamento_emi['Iss']+$row_pagamento_emi['Inss'];
		
		//Detalhado
		$detalhado = '';
		if($row_pagamento_emi['det'] <> null){ $detalhado .= $row_pagamento_emi['det'].' '; }
		if($row_pagamento_emi['NumFatura'] <> '00'){ $detalhado .= $row_pagamento_emi['NumFatura'].' '; }
		
		
		
		//HP
		
		$historico_padrao_fornec_emi = 1;
		$hp_antigo = $historico_padrao_fornec_emi;
		
		if($row_pagamento_emi['conta_fornec'] == 1105){ $historico_padrao_fornec_emi = '173';}
		if($row_pagamento_emi['conta_fornec'] == 1106){ $historico_padrao_fornec_emi = '161';}
		if($row_pagamento_emi['conta_fornec'] == 122){ $historico_padrao_fornec_emi = '264';}
		if($row_pagamento_emi['conta_fornec'] == 1109){ $historico_padrao_fornec_emi = '212';}
		if($row_pagamento_emi['conta_fornec'] == 1108){ $historico_padrao_fornec_emi = '211';}
		if($row_pagamento_emi['conta_fornec'] == 1174){ $historico_padrao_fornec_emi = '173';}
		if($row_pagamento_emi['conta_fornec'] == 1175){ $historico_padrao_fornec_emi = '173';}
		if($row_pagamento_emi['conta_fornec'] == 1103){ $historico_padrao_fornec_emi = '209';}
		if($row_pagamento_emi['conta_fornec'] == 1104){ $historico_padrao_fornec_emi = '210';}
		if($row_pagamento_emi['conta_fornec'] == 1108){ $historico_padrao_fornec_emi = '211';}
		if($row_pagamento_emi['conta_fornec'] == 1109){ $historico_padrao_fornec_emi = '212';}
		if($row_pagamento_emi['conta_result'] == 3519){ $historico_padrao_fornec_emi = '485';}
		if($row_pagamento_emi['conta_result'] == 3520){ $historico_padrao_fornec_emi = '486';}
		if($row_pagamento_emi['conta_result'] == 3568){ $historico_padrao_fornec_emi = '264';}
		if($row_pagamento_emi['conta_result'] == 3568){ $historico_padrao_fornec_emi = '478';}
		if($row_pagamento_emi['conta_result'] == 3614){ $historico_padrao_fornec_emi = '481';}
		if($row_pagamento_emi['conta_result'] == 3575){ $historico_padrao_fornec_emi = '483';}



		
		
		
		
		
		//Se houver So Retencoes 
		if($rete >0){
			
			if($row_pagamento_emi['Valor'] > 0){
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_pagamento_emi['dta_emissao']; // Data do Movimento
			$texto .= str_pad($row_pagamento_emi['conta_result'], 7, " ", STR_PAD_RIGHT); // Conta Dedito
			$texto .= str_pad('M', 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_pagamento_emi['Valor'] ,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
			$texto .= str_pad($historico_padrao_fornec_emi, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= substr(str_pad($detalhado, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			//Lancamento de IR
			if($row_pagamento_emi['Ir'] >0){
				
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_pagamento_emi['dta_emissao']; // Data do Movimento
				$texto .= str_pad($row_pagamento_emi['conta_result'], 7, " ", STR_PAD_RIGHT); // Conta Dedito
				$texto .= str_pad($conta_ir, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_pagamento_emi['Ir'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
				$texto .= str_pad($historico_padrao_ir, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad('Retencao ref. Irrf s / nf.no '.$row_pagamento_emi['NumFatura'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
				
			}
			
			//Lancamento de INSS
			if($row_pagamento_emi['Inss'] >0){
				
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_pagamento_emi['dta_emissao']; // Data do Movimento
				$texto .= str_pad($row_pagamento_emi['conta_result'], 7, " ", STR_PAD_RIGHT); // Conta Dedito
				$texto .= str_pad($conta_inss, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_pagamento_emi['Inss'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
				$texto .= str_pad($historico_padrao_inss, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad('Retencao ref. Inss s / nf.no '.$row_pagamento_emi['NumFatura'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
				
			}
			
			//Lancamento de ISS
			if($row_pagamento_emi['Iss'] >0){
				
				$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
				$texto .= $row_pagamento_emi['dta_emissao']; // Data do Movimento
				$texto .= str_pad($row_pagamento_emi['conta_result'], 7, " ", STR_PAD_RIGHT); // Conta Dedito
				$texto .= str_pad($conta_iss, 7, " ", STR_PAD_RIGHT); // Conta Credito
				$texto .= str_pad(number_format($row_pagamento_emi['Iss'],2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
				$texto .= str_pad($historico_padrao_iss, 5, "0", STR_PAD_LEFT); // Historico Padrao
				$texto .= substr(str_pad('Retencao ref. Iss s / nf.no '.$row_pagamento_emi['NumFatura'], 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
				$texto .= chr(13).chr(10); // Quebra de Liinha
				
			}
			
			if(($row_pagamento_emi['Valor'] -$rete) > 0){
			$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
			$texto .= $row_pagamento_emi['dta_emissao']; // Data do Movimento
			$texto .= str_pad($row_pagamento_emi['conta_result'], 7, " ", STR_PAD_RIGHT); // Conta Dedito
			$texto .= str_pad($row_pagamento_emi['conta_fornec'], 7, " ", STR_PAD_RIGHT); // Conta Credito
			$texto .= str_pad(number_format($row_pagamento_emi['Valor'] -$rete,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
			$texto .= str_pad($historico_padrao_fornec_emi, 5, "0", STR_PAD_LEFT); // Historico Padrao
			$texto .= substr(str_pad($detalhado, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
			$texto .= chr(13).chr(10); // Quebra de Liinha
			}
			
		}else{
		
		//Lancamento Simples
		
		
		
		if(($row_pagamento_emi['Valor']) > 0){
		$texto .= str_pad($contador, 7, "0", STR_PAD_LEFT); // Numero do Lancamento
		$texto .= $row_pagamento_emi['dta_emissao']; // Data do Movimento
		$texto .= str_pad($row_pagamento_emi['conta_result'], 7, " ", STR_PAD_RIGHT); // Conta Dedito
		$texto .= str_pad($row_pagamento_emi['conta_fornec'], 7, " ", STR_PAD_RIGHT); // Conta Credito
		$texto .= str_pad(number_format($row_pagamento_emi['Valor'] ,2,'.',''), 17, "0", STR_PAD_LEFT); // Valor
		$texto .= str_pad($historico_padrao_fornec_emi, 5, "0", STR_PAD_LEFT); // Historico Padrao
		$texto .= substr(str_pad($detalhado, 200, " ", STR_PAD_RIGHT),0,150); // Detalhe
		$texto .= chr(13).chr(10); // Quebra de Liinha
		}
		
		
		
		}	
		
		
		$historico_padrao_fornec_emi = $hp_antigo;
		
		if($texto <> ''){
		fwrite($fp,$texto); //Escrever no Arquivo
		$texto = '';
		$contador++;
		}
		
		
		$atualizar = "UPDATE mfin_pagamentos SET phoenix_emi=CURDATE() WHERE Id= ".$row_pagamento_emi['pag_id'];
		mysql_query($atualizar, $paivaconex) or die(mysql_error());
		
	} while ($row_pagamento_emi = mysql_fetch_assoc($pagamento_emi));

?>